#ifndef PROCESSEARSE_H
#define PROCESSEARSE_H

#include "processbasic.h"

#include <QObject>
#include "src/data/datacdrom.h"
#include "src/frame/auditlog.h"
#include <kysdk/kysdk-system/libkysysinfo.h>
#include <QGSettings/QGSettings>
class ProcessEarse : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessEarse(void *, QObject *parent = nullptr);
    ~ProcessEarse();
protected:
    bool prepare();
    bool config();
    bool worked();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private slots:
    void slotsProgress();
    void slotsRemoveDisc(QString); // 有光驱被拔出
private:
    int             m_iValue;
    void           *m_oCDROM;
    QTimer         *m_oPro;
    DataCDROM      *m_cdrom;
    DataCDROM      *m_oCloneCDROM;
    AuditLog        eraseLog;
    bool            m_isSpecialMachine;
    QGSettings     *auditburner;
    QString         auditlogpath;
};

#endif // PROCESSEARSE_H
